# Created by pyp2rpm-3.3.2
%global pypi_name nox

Name:           python-%{pypi_name}
Version:        2023.4.22
Release:        %mkrel 1
Summary:        Flexible test automation
Group:          Development/Python
License:        Apache Software License
URL:            https://nox.thea.codes
Source0:        %{pypi_source}
Source2:        setup.py
#Patch1:         nox-2019.4.11-add-shebang-to-tox_to_nox.jinja2.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(virtualenv)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(colorlog)
BuildRequires:  python3dist(argcomplete)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(hatchling)

%description
Nox - Flexible test automation for Python nox is a command-line tool that
automates testing in multiple Python environments, similar to tox_. Unlike tox,
Nox uses a standard Python file for configuration.The latest documentation is
available on Read the Docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-nox-automation < 0.19.1-6
Obsoletes:      python3-nox-automation < 0.19.1-6
Provides:       python3-nox-automation = %{version}-%{release}
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
Requires:       python3dist(tox)

%description -n python3-%{pypi_name}
Nox - Flexible test automation for Python nox is a command-line tool that
automates testing in multiple Python environments, similar to tox_. Unlike tox,
Nox uses a standard Python file for configuration.The latest documentation is
available on Read the Docs.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files nox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/nox
%{_bindir}/tox-to-nox


%changelog
* Sun May 14 2023 kekepower <kekepower> 2023.4.22-1.mga9
+ Revision: 1956876
- Update to version 2023.4.22

* Mon Nov 21 2022 kekepower <kekepower> 2022.11.21-1.mga9
+ Revision: 1909871
- Update to version 2022.11.21

* Tue Aug 09 2022 kekepower <kekepower> 2022.8.7-1.mga9
+ Revision: 1876369
- Update to version 2022.8.7

* Tue Mar 29 2022 umeabot <umeabot> 2021.10.1-3.mga9
+ Revision: 1832819
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 2021.10.1-2.mga9
+ Revision: 1783042
- Fix filelist for python-3.10
- Fix build (2021.10.1 never build successfully)
- Rebuild for python-3.10
+ kekepower <kekepower>
- Update to version 2021.10.1

* Tue Jun 15 2021 kekepower <kekepower> 2021.6.12-1.mga9
+ Revision: 1730805
- Update to version 2021.6.12

* Sun Jun 06 2021 kekepower <kekepower> 2021.6.6-1.mga9
+ Revision: 1729919
- Update to version 2021.6.6

* Mon Mar 01 2021 daviddavid <daviddavid> 2020.12.31-3.mga9
+ Revision: 1694973
- properly obsolete python3-nox-automation

* Mon Jan 11 2021 wally <wally> 2020.12.31-2.mga8
+ Revision: 1671135
- fix python(2,3)-nox-automation obsoletes

* Fri Jan 01 2021 kekepower <kekepower> 2020.12.31-1.mga8
+ Revision: 1667538
- Update to version 2020.12.31

* Wed Sep 02 2020 kekepower <kekepower> 2020.8.22-1.mga8
+ Revision: 1620843
- Update to version 2020.8.22

* Mon May 25 2020 kekepower <kekepower> 2020.5.24-1.mga8
+ Revision: 1587650
- Update to version 2020.5.24

* Mon Feb 17 2020 umeabot <umeabot> 2019.11.9-2.mga8
+ Revision: 1537780
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 kekepower <kekepower> 2019.11.9-1.mga8
+ Revision: 1459039
- Update to version 2019.11.9

* Thu Oct 10 2019 tv <tv> 2019.8.20-3.mga8
+ Revision: 1451059
- rebuild with python 3.8

* Sat Aug 24 2019 kekepower <kekepower> 2019.8.20-1.mga8
+ Revision: 1431544
- Update to version 2019.8.20

* Sat Jul 06 2019 kekepower <kekepower> 2019.5.30-1.mga8
+ Revision: 1419214
- Update to version 2019.5.30

* Fri Apr 12 2019 kekepower <kekepower> 2019.4.11-1.mga7
+ Revision: 1389497
- Update to version 2019.4.11

* Sun Mar 24 2019 daviddavid <daviddavid> 2018.10.17-2.mga7
+ Revision: 1379927
- relax colorlog dependency

* Mon Jan 14 2019 kekepower <kekepower> 2018.10.17-1.mga7
+ Revision: 1356824
- imported package python-nox

